package com.yihu.hos.tenant.dao;

import com.yihu.hos.tenant.model.TenantModel;
import com.yihu.hos.web.framework.dao.SQLGeneralDAO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/12/2.
 */
@Repository("tenantDao")
public class TenantDao extends SQLGeneralDAO {

    public static final String BEAN_ID = "tenantDao";


    public List<TenantModel> getTenantList(String name) throws Exception {
        List<TenantModel> list = (List<TenantModel>) super.hibernateTemplate.find("from TenantModel s where s.name=? and s.valid = 1", name);
        return list;
    }
}
